Remove 'alarm' field in Action

Bug #1550261 reported by Vincent Françoise on 2016-02-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python-watcherclient
Medium
Larry Rensing
watcher
Medium
Larry Rensing
watcher-dashboard
Medium
Larry Rensing

Bug Description

This field is currently unused and so we should remove it. See todo in watcher/objects/action.py line 47.

Tags: db Edit Tag help
Changed in watcher:
assignee: nobody → Gábor Antal (gabor.antal)
Changed in python-watcherclient:
assignee: nobody → Gábor Antal (gabor.antal)
Changed in watcher-dashboard:
assignee: nobody → Gábor Antal (gabor.antal)
Changed in watcher:
status: New → Confirmed
Changed in python-watcherclient:
status: New → Confirmed
Changed in watcher-dashboard:
status: New → Confirmed

Fix proposed to branch: master
Review: https://review.openstack.org/285235

Changed in watcher:
status: Confirmed → In Progress
Changed in python-watcherclient:
importance: Undecided → Medium
Changed in watcher:
importance: Undecided → Medium
Changed in watcher-dashboard:
importance: Undecided → Medium
Changed in python-watcherclient:
milestone: none → mitaka-rc-final
Changed in watcher:
milestone: none → mitaka-rc-final
Changed in watcher-dashboard:
milestone: none → mitaka-rc-final
Changed in watcher:
milestone: mitaka-rc-final → newton-1
Changed in python-watcherclient:
milestone: mitaka-rc-final → newton
Changed in watcher-dashboard:
milestone: mitaka-rc-final → newton
Larry Rensing (lr699s) on 2016-04-15
Changed in watcher:
assignee: Gábor Antal (gabor.antal) → Larry Rensing (lr699s)

Fix proposed to branch: master
Review: https://review.openstack.org/307226

Larry Rensing (lr699s) on 2016-04-18
Changed in python-watcherclient:
assignee: Gábor Antal (gabor.antal) → Larry Rensing (lr699s)

Fix proposed to branch: master
Review: https://review.openstack.org/307328

Changed in python-watcherclient:
status: Confirmed → In Progress
Changed in watcher-dashboard:
assignee: Gábor Antal (gabor.antal) → nobody
Larry Rensing (lr699s) on 2016-04-18
Changed in watcher-dashboard:
assignee: nobody → Larry Rensing (lr699s)

Reviewed: https://review.openstack.org/307328
Committed: https://git.openstack.org/cgit/openstack/python-watcherclient/commit/?id=f306a61ecef2bba9ad05106d3e43fef0eb5748d3
Submitter: Jenkins
Branch: master

commit f306a61ecef2bba9ad05106d3e43fef0eb5748d3
Author: Larry Rensing <email address hidden>
Date: Mon Apr 18 15:10:50 2016 +0000

    Removed unused 'alarm' field

    The 'alarm' field is currently unused, so it has been removed.

    Change-Id: I5262dbf65f730ef6974f76186f26e26e3b69a677
    Closes-Bug: #1550261

Changed in python-watcherclient:
status: In Progress → Fix Released
Changed in watcher:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/307226
Committed: https://git.openstack.org/cgit/openstack/watcher/commit/?id=408d6d4650a709c4652c05db54645a31f24f4636
Submitter: Jenkins
Branch: master

commit 408d6d4650a709c4652c05db54645a31f24f4636
Author: Larry Rensing <email address hidden>
Date: Mon Apr 18 14:12:12 2016 +0000

    Removed unused 'alarm' field

    The 'alarm' field is currently unused, so it has been removed.

    Change-Id: I02fa15b06ed49dbc5dd63de54a9cde601413983c
    Closes-Bug: #1550261

Reviewed: https://review.openstack.org/307343
Committed: https://git.openstack.org/cgit/openstack/watcher-dashboard/commit/?id=760a274b653eac88313c2d907635fa611d89415a
Submitter: Jenkins
Branch: master

commit 760a274b653eac88313c2d907635fa611d89415a
Author: Larry Rensing <email address hidden>
Date: Mon Apr 18 15:48:46 2016 +0000

    Removed unused 'alarm' field

    The 'alarm' field is currently unused, so it has been removed.

    Change-Id: I20d4db6cd65ad22fea78a466bda7c8c6e7c054b7
    Closes-Bug: #1550261

Changed in watcher-dashboard:
status: Confirmed → Fix Released

Change abandoned by Vincent Françoise (<email address hidden>) on branch: master
Review: https://review.openstack.org/285235

This issue was fixed in the openstack/python-watcherclient 0.23.0 release.

This issue was fixed in the openstack/watcher 0.27.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers